## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFileOutputStream::XalanFileOutputStreamOpenException Class Reference

`#include <XalanFileOutputStream.hpp>`

Inheritance diagram for XalanFileOutputStream::XalanFileOutputStreamOpenException

Collaboration diagram for XalanFileOutputStream::XalanFileOutputStreamOpenException:

List of all members.

## Public Methods

- XalanFileOutputStreamOpenException ( const XalanDOMString& theFileName, int theErrorCode)
    Construct an XalanFileOutputStreamOpen exception object for an exception that occurred on opening a text file stream. More...
- virtual ~XalanFileOutputStreamOpenException ()

## Constructor & Destructor Documentation

XalanFileOutputStream::XalanFileOutputStreamOpenException::XalanFileOutputStreamOpenException ( | const XalanDOMString & theFileName,
| int theErrorCode )

Construct an XalanFileOutputStreamOpen exception object for an exception that occurred on opening a text file stream.

Parameters:

  theFileName | name of file causing the exception
  theErrorCode | number of error encountered

virtual XalanFileOutputStream::XalanFileOutputStreamOpenException::~XalanFileOutputStreamOpenException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XalanFileOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.